facebook hermes 数值类型间的不正确转换

CVE编号

CVE-2020-1913

利用情况

暂无

补丁情况

N/A

披露时间

2020-09-10
漏洞描述
Facebook Hermes是一款用于移动的JavaScript VM,它将JavaScript编译成字节码,可以立即进行编程和执行。

Facebook Hermes中的JavaScript解释器存在整数签名错误漏洞,远程攻击者可利用该漏洞导致拒绝服务,在应用程序上下文执行任意代码。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://github.com/facebook/hermes/commit/2c7af7ec481ceffd0d14ce2d7c045e475fd71dc6
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 facebook hermes * Up to
(including)
0.4.3
运行在以下环境
系统 debian_9 tiff * Up to
(excluding)
4.0.8-2+deb9u7
运行在以下环境
系统 opensuse_Leap_15.3 libtiff5-32bit * Up to
(excluding)
4.0.9-45.5.1
运行在以下环境
系统 opensuse_Leap_15.4 libtiff5-32bit * Up to
(excluding)
4.0.9-45.5.1
运行在以下环境
系统 suse_12_SP5 libtiff5-32bit * Up to
(excluding)
4.0.9-44.45.1
CVSS3评分
8.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-681 数值类型间的不正确转换
阿里云安全产品覆盖情况